require "import"
import "android.widget.*"
import "android.view.*"
import "android.content.*"
import "android.provider.Settings"
activity.setTitle("Keyboard Manager")
-- Layout
scrollView = ScrollView(activity)
layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)
-- Button to open Input Method Settings
openInputMethodSettingsButton = Button(activity)
openInputMethodSettingsButton.setText("Open Input Method Settings")
-- Click listener for the Open Input Method Settings button
openInputMethodSettingsButton.setOnClickListener(View.OnClickListener {
  onClick = function(v)
    local intent = Intent(Settings.ACTION_INPUT_METHOD_SETTINGS)
    activity.startActivity(intent)
  end
})
-- Add Button to Layout
layout.addView(openInputMethodSettingsButton)
scrollView.addView(layout)
activity.setContentView(scrollView)
-- Automatically open Input Method Settings
local intent = Intent(Settings.ACTION_INPUT_METHOD_SETTINGS)
activity.startActivity(intent)